Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 589329 - put my mobile into not applicable state
Summary: put my mobile into not applicable state
Keywords:
Status: CLOSED DUPLICATE of bug 588814
Alias: None
Product: Fedora
Classification: Fedora
Component: ModemManager
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-05 21:04 UTC by Sergei LITVINENKO
Modified: 2010-05-07 05:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-06 23:27:02 UTC


Attachments (Terms of Use)

Description Sergei LITVINENKO 2010-05-05 21:04:53 UTC
Description of problem:
NetworkManager can not open dial-up connection by mobile phone. Also, after activation the mobile connection by network manager, modem on phone becomes is not accessible (wvdial can not reset it by ATZ).

Version-Release number of selected component (if applicable):

ModemManager-0.3-11.git20100502.fc13.i686

How reproducible:
100%

Steps to Reproduce:
1. Connect "Nokia 5320 XpressMusic" by USB cable
2. Setup new mobile connection (I use Utel/Ukraine)
3. Activate this connection
  
Actual results:
Activation of connection is fail. After, it is not possible to use phone as modem till device is not switched OFF and ON.

Expected results:
Work correct as before

Additional info:
Product: Nokia 5320 XpressMusic
Connection can be easy activated by wvdial or ifup and work OK.

Comment 1 Dan Williams 2010-05-05 22:07:24 UTC
Can you grab some modem-manager debugging information as described here under "Debugging NetworkManager 0.8.x 3G connections" ?  Stopping NetworkManager can be done by running "sudo service NetworkManager stop"; starting can be done by "sudo service NetworkManager start".  We're looking for the modem-manager --debug output.

http://live.gnome.org/NetworkManager/Debugging

Comment 2 Sergei LITVINENKO 2010-05-06 05:24:08 UTC
[root@eee901 ~]# modem-manager --debug
** Message: Loaded plugin ZTE
** Message: Loaded plugin Novatel
** Message: Loaded plugin Option
** Message: Loaded plugin MotoC
** Message: Loaded plugin Gobi
** Message: Loaded plugin Huawei
** Message: Loaded plugin Generic
** Message: Loaded plugin Longcheer
** Message: Loaded plugin Sierra
** Message: Loaded plugin AnyData
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin Nokia
** Message: Loaded plugin Ericsson MBM
** (modem-manager:2440): DEBUG: (tty/ttyS0): port's parent platform driver is not whitelisted
** (modem-manager:2440): DEBUG: (tty/ttyS1): port's parent platform driver is not whitelisted
** (modem-manager:2440): DEBUG: (tty/ttyS2): port's parent platform driver is not whitelisted
** (modem-manager:2440): DEBUG: (tty/ttyS3): port's parent platform driver is not whitelisted
** Message: (ttyACM0) opening serial device...
** (modem-manager:2440): DEBUG: <1273121739.383416> (ttyACM0) device open count is 1 (open)
** (modem-manager:2440): DEBUG: (ttyACM0): probe requested by plugin 'Nokia'
** Message: (ttyACM1) opening serial device...
** (modem-manager:2440): DEBUG: <1273121739.384502> (ttyACM1) device open count is 1 (open)
** (modem-manager:2440): DEBUG: (ttyACM1): probe requested by plugin 'Nokia'
** (modem-manager:2440): DEBUG: <1273121739.484729> (ttyACM0): --> 'AT+GCAP<CR>'
** (modem-manager:2440): DEBUG: <1273121740.286534> (ttyACM1): --> 'AT+GCAP<CR>'
** (modem-manager:2440): DEBUG: <1273121741.88468> (ttyACM0): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM,+DS,+W<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2440): DEBUG: <1273121741.89022> (ttyACM0) device open count is 0 (close)
** Message: (ttyACM0) closing serial device...
** Message: (ttyACM0) opening serial device...
** (modem-manager:2440): DEBUG: <1273121741.97951> (ttyACM0) device open count is 1 (open)
** Message: (Nokia): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-2 claimed port ttyACM0
** (modem-manager:2440): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-2
** (modem-manager:2440): DEBUG: (tty/ttyACM0): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-2
** (modem-manager:2440): DEBUG: (tty/ttyACM1): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-2
** (modem-manager:2440): DEBUG: <1273121741.100270> (ttyACM0): --> 'AT+CPIN?<CR>'
** (modem-manager:2440): DEBUG: <1273121741.112538> (ttyACM0): <-- 'A'
** (modem-manager:2440): DEBUG: <1273121741.113808> (ttyACM0): <-- 'T+CPIN?<CR><CR><LF>+CPIN: READY<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2440): DEBUG: <1273121741.114308> (ttyACM0) device open count is 0 (close)
** Message: (ttyACM0) closing serial device...
** (modem-manager:2440): DEBUG: (tty/ttyACM1): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-2
** (modem-manager:2440): DEBUG: <1273121744.86253> (ttyACM1): --> 'AT+GCAP<CR>'
** (modem-manager:2440): DEBUG: <1273121748.83759> (ttyACM1): --> 'AT+GCAP<CR>'
** (modem-manager:2440): DEBUG: <1273121751.189533> (ttyACM1): --> 'ATI<CR>'
** (modem-manager:2440): DEBUG: <1273121754.94940> (ttyACM1): --> 'AT+CPIN?<CR>'
** (modem-manager:2440): DEBUG: <1273121757.482> (ttyACM1): --> 'AT+CGMM<CR>'
** (modem-manager:2440): DEBUG: <1273121759.905644> (ttyACM1) device open count is 0 (close)
** Message: (ttyACM1) closing serial device...
** (modem-manager:2440): DEBUG: (tty/ttyACM1): ignoring port unsupported by physical modem's plugin
** (modem-manager:2440): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-2 as /org/freedesktop/ModemManager/Modems/0
^C
** Message: Caught signal 2, shutting down...
** (modem-manager:2440): DEBUG: Removed modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-2
---

==> Modem is accessible jet.
==> It can be used by ifup or wvdial
---

[root@eee901 ~]# NetworkManager --no-daemon --log-level=INFO
...
==> Activating ppp connection here by nm-applet
...
NetworkManager: <info> modem-manager is now available
NetworkManager: <warn> bluez error getting default adapter: The name org.bluez was not provided by any .service files
NetworkManager: <info> (ra0): supplicant interface state:  starting -> ready
NetworkManager: <info> (ra0): device state change: 2 -> 3 (reason 42)
NetworkManager: <warn> (ttyACM0): failed to look up interface index
NetworkManager: <warn> (ttyACM0): error reading /proc/sys/net/ipv6/conf/ttyACM0/accept_ra: (4) Failed to open file '/proc/sys/net/ipv6/conf/ttyACM0/accept_ra': No such file or directory
NetworkManager: <info> (ttyACM0): new GSM device (driver: 'cdc_acm' ifindex: -1)
NetworkManager: <info> (ttyACM0): exported as /org/freedesktop/NetworkManager/Devices/2
NetworkManager: <info> (ttyACM0): now managed
NetworkManager: <info> (ttyACM0): device state change: 1 -> 2 (reason 2)
NetworkManager: <info> (ttyACM0): deactivating device (reason: 2).
NetworkManager: <info> (ttyACM0): device state change: 2 -> 3 (reason 0)
NetworkManager: <info> Activation (ttyACM0) starting connection 'Utel'
NetworkManager: <info> (ttyACM0): device state change: 3 -> 4 (reason 0)
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info> Activation (ttyACM0) Stage 2 of 5 (Device Configure) scheduled...
NetworkManager: <info> Activation (ttyACM0) Stage 2 of 5 (Device Configure) starting...
NetworkManager: <info> (ttyACM0): device state change: 4 -> 5 (reason 0)
NetworkManager: <info> Activation (ttyACM0) Stage 2 of 5 (Device Configure) successful.
NetworkManager: <info> Activation (ttyACM0) Stage 3 of 5 (IP Configure Start) scheduled.
NetworkManager: <info> Activation (ttyACM0) Stage 2 of 5 (Device Configure) complete.
NetworkManager: <info> Activation (ttyACM0) Stage 3 of 5 (IP Configure Start) started...
NetworkManager: <info> (ttyACM0): device state change: 5 -> 7 (reason 0)
NetworkManager: <info> starting PPP connection
NetworkManager: <info> pppd started with pid 2822
NetworkManager: <warn> (ttyACM0): error reading /proc/sys/net/ipv6/conf/ttyACM0/accept_ra: (4) Failed to open file '/proc/sys/net/ipv6/conf/ttyACM0/accept_ra': No such file or directory
NetworkManager: <info> (ttyACM0): device state change: 7 -> 9 (reason 0)
NetworkManager: <info> Marking connection 'Utel' invalid.
NetworkManager: <warn> Activation (ttyACM0) failed.
NetworkManager: <info> Activation (ttyACM0) Stage 3 of 5 (IP Configure Start) complete.
NetworkManager: <info> (ttyACM0): device state change: 9 -> 3 (reason 0)
NetworkManager: <info> (ttyACM0): deactivating device (reason: 0).
NetworkManager: <info> Activation (ttyACM0) starting connection 'Utel'
NetworkManager: <info> (ttyACM0): device state change: 3 -> 4 (reason 0)
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <warn> GSM connection failed: (32) Serial command timed out
NetworkManager: <info> (ttyACM0): device state change: 4 -> 9 (reason 1)
NetworkManager: <info> Marking connection 'Utel' invalid.
NetworkManager: <warn> Activation (ttyACM0) failed.
NetworkManager: <info> (ttyACM0): device state change: 9 -> 3 (reason 0)
NetworkManager: <info> (ttyACM0): deactivating device (reason: 0).
NetworkManager: <info> (ttyACM0): now unmanaged
NetworkManager: <info> (ttyACM0): device state change: 3 -> 1 (reason 36)
NetworkManager: <info> (ttyACM0): cleaning up...
NetworkManager: <info> (ttyACM0): taking down device.
---

==> Modem is not accessible more

Comment 3 Sergei LITVINENKO 2010-05-06 17:18:13 UTC
>>
>> http://live.gnome.org/NetworkManager/Debugging
>>

[root@eee901 ~]# modem-manager --debug 
** Message: Loaded plugin ZTE
** Message: Loaded plugin Novatel
** Message: Loaded plugin Option
** Message: Loaded plugin MotoC
** Message: Loaded plugin Gobi
** Message: Loaded plugin Huawei
** Message: Loaded plugin Generic
** Message: Loaded plugin Longcheer
** Message: Loaded plugin Sierra
** Message: Loaded plugin AnyData
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin Nokia
** Message: Loaded plugin Ericsson MBM
** (modem-manager:2111): DEBUG: (tty/ttyS0): port's parent platform driver is not whitelisted
** (modem-manager:2111): DEBUG: (tty/ttyS1): port's parent platform driver is not whitelisted
** (modem-manager:2111): DEBUG: (tty/ttyS2): port's parent platform driver is not whitelisted
** (modem-manager:2111): DEBUG: (tty/ttyS3): port's parent platform driver is not whitelisted
** Message: (ttyACM0) opening serial device...
** (modem-manager:2111): DEBUG: <1273165122.452796> (ttyACM0) device open count is 1 (open)
** (modem-manager:2111): DEBUG: (ttyACM0): probe requested by plugin 'Nokia'
** Message: (ttyACM1) opening serial device...
** (modem-manager:2111): DEBUG: <1273165122.453934> (ttyACM1) device open count is 1 (open)
** (modem-manager:2111): DEBUG: (ttyACM1): probe requested by plugin 'Nokia'
** (modem-manager:2111): DEBUG: <1273165122.553685> (ttyACM0): --> 'AT+GCAP<CR>'
** (modem-manager:2111): DEBUG: <1273165123.355254> (ttyACM1): --> 'AT+GCAP<CR>'
** (modem-manager:2111): DEBUG: <1273165124.156780> (ttyACM0): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM,+DS,+W<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165124.157396> (ttyACM0) device open count is 0 (close)
** Message: (ttyACM0) closing serial device...
** Message: (ttyACM0) opening serial device...
** (modem-manager:2111): DEBUG: <1273165124.164745> (ttyACM0) device open count is 1 (open)
** Message: (Nokia): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-3 claimed port ttyACM0
** (modem-manager:2111): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-3
** (modem-manager:2111): DEBUG: (tty/ttyACM0): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-3
** (modem-manager:2111): DEBUG: (tty/ttyACM1): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-3
** (modem-manager:2111): DEBUG: <1273165124.167343> (ttyACM0): --> 'AT+CPIN?<CR>'
** (modem-manager:2111): DEBUG: <1273165124.177843> (ttyACM0): <-- 'AT+CPIN?<CR><CR><LF>+CPIN: READY<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165124.178278> (ttyACM0) device open count is 0 (close)
** Message: (ttyACM0) closing serial device...
** (modem-manager:2111): DEBUG: (tty/ttyACM1): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-3
** (modem-manager:2111): DEBUG: <1273165127.85727> (ttyACM1): --> 'AT+GCAP<CR>'
** (modem-manager:2111): DEBUG: <1273165131.83741> (ttyACM1): --> 'AT+GCAP<CR>'
** (modem-manager:2111): DEBUG: <1273165133.988574> (ttyACM1): --> 'ATI<CR>'
** (modem-manager:2111): DEBUG: <1273165136.892777> (ttyACM1): --> 'AT+CPIN?<CR>'
** (modem-manager:2111): DEBUG: <1273165139.797130> (ttyACM1): --> 'AT+CGMM<CR>'
** (modem-manager:2111): DEBUG: <1273165142.701396> (ttyACM1) device open count is 0 (close)
** Message: (ttyACM1) closing serial device...
** (modem-manager:2111): DEBUG: (tty/ttyACM1): ignoring port unsupported by physical modem's plugin
** (modem-manager:2111): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-3 as /org/freedesktop/ModemManager/Modems/0
** Message: (ttyACM0) opening serial device...
** (modem-manager:2111): DEBUG: <1273165242.211539> (ttyACM0) device open count is 1 (open)
** (modem-manager:2111): DEBUG: <1273165242.211729> Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
** (modem-manager:2111): DEBUG: <1273165242.311995> (ttyACM0): --> 'ATZ E0 V1<CR>'
** (modem-manager:2111): DEBUG: <1273165242.323839> (ttyACM0): <-- 'ATZ E0 V1<CR><CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.324445> (ttyACM0): --> 'ATE0<CR>'
** (modem-manager:2111): DEBUG: <1273165242.330341> (ttyACM0): <-- 'ATE0<CR><CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.330644> (ttyACM0): --> 'AT+CMEE=1<CR>'
** (modem-manager:2111): DEBUG: <1273165242.342268> (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.342559> (ttyACM0): --> 'ATX4 &C1<CR>'
** (modem-manager:2111): DEBUG: <1273165242.353274> (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.353564> (ttyACM0): --> 'AT+IFC=1,1<CR>'
** (modem-manager:2111): DEBUG: <1273165242.366433> (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.366723> (ttyACM0): --> 'AT+GMI<CR>'
** (modem-manager:2111): DEBUG: <1273165242.374952> (ttyACM0): <-- '<CR><LF>Nokia<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.375363> (ttyACM0): --> 'AT+GMM<CR>'
** (modem-manager:2111): DEBUG: <1273165242.383695> (ttyACM0): <-- '<CR><LF>Nokia 5320<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.384026> (ttyACM0): --> 'AT+GMR<CR>'
** (modem-manager:2111): DEBUG: <1273165242.399016> (ttyACM0): <-- '<CR><LF>V 08w35.08<CR><LF>28-11-08<CR><LF>RM-409<CR><LF>(c) Nokia<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.399424> (ttyACM0): --> 'AT+CGMI<CR>'
** (modem-manager:2111): DEBUG: <1273165242.408885> (ttyACM0): <-- '<CR><LF>Nokia<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.409380> (ttyACM0): --> 'AT+CGMM<CR>'
** (modem-manager:2111): DEBUG: <1273165242.420945> (ttyACM0): <-- '<CR><LF>Nokia 5320<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.421326> (ttyACM0): --> 'AT+CGMR<CR>'
** (modem-manager:2111): DEBUG: <1273165242.432042> (ttyACM0): <-- '<CR><LF>V 08w35.08<CR><LF>28-11-08<CR><LF>RM-409<CR><LF>(c) Nokia<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.432493> (ttyACM0): --> 'AT+CSCS=?<CR>'
** (modem-manager:2111): DEBUG: <1273165242.444118> (ttyACM0): <-- '<CR><LF>+CSCS: ("UCS2","GSM","PCCP437","PCDN","IRA","8859-1","HEX")<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.445316> (ttyACM0): --> 'AT+CSCS="UCS2"<CR>'
** (modem-manager:2111): DEBUG: <1273165242.462507> (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.463243> (ttyACM0): --> 'AT+CSCS?<CR>'
** (modem-manager:2111): DEBUG: <1273165242.473719> (ttyACM0): <-- '<CR><LF>+CSCS: "UCS2"<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.474389> Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
** (modem-manager:2111): DEBUG: <1273165242.475576> (ttyACM0): --> 'AT+CREG=2<CR>'
** (modem-manager:2111): DEBUG: <1273165242.487924> (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.488803> (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2111): DEBUG: <1273165242.499847> (ttyACM0): <-- '<CR><LF>+CREG: 2,1,"03E9","2848"<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: Registration state changed: 1
** (modem-manager:2111): DEBUG: <1273165242.500630> Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabled -> registered)
** (modem-manager:2111): DEBUG: <1273165242.501275> (ttyACM0): --> 'AT+CGREG=2<CR>'
** (modem-manager:2111): DEBUG: <1273165242.515741> (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.517040> (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:2111): DEBUG: <1273165242.526280> (ttyACM0): <-- '<CR><LF>+CSQ: 19,99<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.528192> (ttyACM0): --> 'AT+COPS=3,2;+COPS?<CR>'
** (modem-manager:2111): DEBUG: <1273165242.553861> (ttyACM0): <-- '<CR><LF>+COPS: 0,2,"25507",2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.554796> (ttyACM0): --> 'AT+COPS=3,0;+COPS?<CR>'
** (modem-manager:2111): DEBUG: <1273165242.576594> (ttyACM0): <-- '<CR><LF>+COPS: 0,0,"UA 07",2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.577982> (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:2111): DEBUG: <1273165242.585989> (ttyACM0): <-- '<CR><LF>+CSQ: 19,99<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.586297> (ttyACM0): --> 'AT+CGREG?<CR>'
** (modem-manager:2111): DEBUG: <1273165242.597502> (ttyACM0): <-- '<CR><LF>+CGREG: 2,0,"03E9","2848"<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.597843> (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2111): DEBUG: <1273165242.608126> (ttyACM0): <-- '<CR><LF>+CREG: 2,1,"03E9","2848"<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.608542> (ttyACM0): --> 'AT+CGDCONT?<CR>'
** (modem-manager:2111): DEBUG: <1273165242.623208> (ttyACM0): <-- '<CR><LF>+CGDCONT: 1,"IP",,,0,0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.623642> (ttyACM0): --> 'AT+CGDCONT=?<CR>'
** (modem-manager:2111): DEBUG: <1273165242.638741> (ttyACM0): <-- '<CR><LF>+CGDCONT: (1-2),"IP",,,(0),(0)<CR><LF>+CGDCONT: (1-2),"IPV6",,,(0),(0)<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.639408> (ttyACM0): --> 'AT+CGDCONT=1,"IP","3g.utel.ua"<CR>'
** (modem-manager:2111): DEBUG: <1273165242.674920> (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2111): DEBUG: <1273165242.675636> Modem /org/freedesktop/ModemManager/Modems/0: state changed (registered -> connecting)
** (modem-manager:2111): DEBUG: <1273165242.675984> (ttyACM0): --> 'ATD*99***1#<CR>'
** (modem-manager:2111): DEBUG: <1273165244.960139> (ttyACM0): <-- '<CR><LF>CONNECT<CR><LF>~\-1}#\-64!}!} } }2}#}$\-64#}!}$}%\-36}"}&} }*} } g}%~'
** (modem-manager:2111): DEBUG: <1273165244.960343> (ttyACM0): port now connected
** (modem-manager:2111): DEBUG: <1273165244.960450> Modem /org/freedesktop/ModemManager/Modems/0: state changed (connecting -> connected)
** (modem-manager:2111): DEBUG: <1273165244.980731> Modem /org/freedesktop/ModemManager/Modems/0: state changed (connected -> disconnecting)
** (modem-manager:2111): DEBUG: <1273165245.153139> (ttyACM0): <-- '~\-1}#\-64!}!} } }2}#}$\-64#}!}$}%\-36}"}&} }*} } g}%~'
** (modem-manager:2111): DEBUG: <1273165245.553356> (ttyACM0): <-- '~\-1}#\-64!}!} } }2}#}$\-64#}!}$}%\-36}"}&} }*} } g}%~'
** (modem-manager:2111): DEBUG: <1273165245.985162> (ttyACM0): port now disconnected
** (modem-manager:2111): DEBUG: <1273165245.985429> (ttyACM0): --> 'AT+CGACT=0,1<CR>'
** (modem-manager:2111): DEBUG: <1273165246.355111> (ttyACM0): <-- '~\-1}#\-64!}!} } }2}#}$\-64#}!}$}%\-36}"}&} }*} } g}%~'
** (modem-manager:2111): DEBUG: <1273165247.956142> (ttyACM0): <-- '~\-1}#\-64!}!} } }2}#}$\-64#}!}$}%\-36}"}&} }*} } g}%~'
** (modem-manager:2111): DEBUG: <1273165249.83912> Modem /org/freedesktop/ModemManager/Modems/0: state changed (disconnecting -> registered)
** (modem-manager:2111): DEBUG: <1273165250.958280> (ttyACM0): <-- '~\-1}#\-64!}!} } }2}#}$\-64#}!}$}%\-36}"}&} }*} } g}%~'
** (modem-manager:2111): DEBUG: <1273165253.964221> (ttyACM0): <-- '~\-1}#\-64!}!} } }2}#}$\-64#}!}$}%\-36}"}&} }*} } g}%~'
** (modem-manager:2111): DEBUG: <1273165256.978385> (ttyACM0): <-- '~\-1}#\-64!}!} } }2}#}$\-64#}!}$}%\-36}"}&} }*} } g}%~'
** (modem-manager:2111): DEBUG: <1273165259.979305> (ttyACM0): <-- '~\-1}#\-64!}!} } }2}#}$\-64#}!}$}%\-36}"}&} }*} } g}%~'
** (modem-manager:2111): DEBUG: <1273165262.979357> (ttyACM0): <-- '~\-1}#\-64!}!} } }2}#}$\-64#}!}$}%\-36}"}&} }*} } g}%~'
** (modem-manager:2111): DEBUG: <1273165273.92955> (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:2111): DEBUG: <1273165303.109617> (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:2111): DEBUG: <1273165333.110290> (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:2111): DEBUG: <1273165363.96147> (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:2111): DEBUG: <1273165393.96177> (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:2111): DEBUG: <1273165423.96145> (ttyACM0): --> 'AT+CSQ<CR>'

----------------------

[root@eee901 ~]# NM_PPP_DEBUG=1 /usr/sbin/NetworkManager --no-daemon
NetworkManager: <info> NetworkManager (version 0.8) is starting...
NetworkManager: <info> modem-manager is now available
NetworkManager:    ifcfg-rh: Acquired D-Bus service com.redhat.ifcfgrh1
NetworkManager: <info> Loaded plugin ifcfg-rh: (c) 2007 - 2008 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
NetworkManager:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-ra0 ...
NetworkManager:    ifcfg-rh:     error: Missing SSID
NetworkManager:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ... 
NetworkManager:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-eth0 ... 
NetworkManager:    ifcfg-rh:     read connection 'eth0'
NetworkManager:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-utel ... 
NetworkManager:    ifcfg-rh:     error: Unknown connection type 'Modem'
NetworkManager: <info> found WiFi radio killswitch rfkill0 (at /sys/devices/platform/eeepc/rfkill/rfkill0) (driver eeepc)
NetworkManager: <info> WiFi disabled by radio killswitch; disabled by state file
NetworkManager: <info> WWAN enabled by radio killswitch; disabled by state file
NetworkManager: <info> WiMAX enabled by radio killswitch; enabled by state file
NetworkManager: <info> Networking is enabled by state file
NetworkManager: <info> (eth0): carrier is ON
NetworkManager: <info> (eth0): new Ethernet device (driver: 'ATL1E' ifindex: 2)
NetworkManager: <info> (eth0): exported as /org/freedesktop/NetworkManager/Devices/0
NetworkManager: <info> (eth0): now managed
NetworkManager: <info> (eth0): device state change: 1 -> 2 (reason 41)
NetworkManager: <info> (eth0): preparing device.
NetworkManager: <info> Activation (eth0) starting connection 'eth0'
NetworkManager: <info> (eth0): device state change: 2 -> 7 (reason 0)
NetworkManager: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) scheduled.
-- Error received: File exists
-- Original message: type=0x14 length=56 flags=<REQUEST,ACK,ATOMIC> sequence-nr=1273165222 pid=4196448
NetworkManager: <warn> (ttyACM0): failed to look up interface index
NetworkManager: <warn> (ttyACM0): error reading /proc/sys/net/ipv6/conf/ttyACM0/accept_ra: (4) Failed to open file '/proc/sys/net/ipv6/conf/ttyACM0/accept_ra': No such file or directory
NetworkManager: <info> (ttyACM0): new GSM device (driver: 'cdc_acm' ifindex: -1)
NetworkManager: <info> (ttyACM0): exported as /org/freedesktop/NetworkManager/Devices/1
NetworkManager: <info> (ttyACM0): now managed
NetworkManager: <info> (ttyACM0): device state change: 1 -> 2 (reason 2)
NetworkManager: <info> (ttyACM0): deactivating device (reason: 2).
NetworkManager: <warn> bluez error getting default adapter: The name org.bluez was not provided by any .service files
NetworkManager: <info> Trying to start the supplicant...
NetworkManager: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) started...
NetworkManager: <info> Activation (eth0) Beginning DHCPv4 transaction (timeout in 45 seconds)                                                                 
NetworkManager: <info> dhclient started with pid 2152
NetworkManager: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) complete.
NetworkManager: <info> (ttyACM0): device state change: 2 -> 3 (reason 0)
Internet Systems Consortium DHCP Client 4.1.1
Copyright 2004-2010 Internet Systems Consortium.
All rights reserved.
For info, please visit https://www.isc.org/software/dhcp/

Listening on LPF/eth0/00:22:15:a2:3f:c3
Sending on   LPF/eth0/00:22:15:a2:3f:c3
Sending on   Socket/fallback
NetworkManager: <info> (eth0): DHCPv4 state changed nbi -> preinit
DHCPREQUEST on eth0 to 255.255.255.255 port 67
DHCPACK from 10.119.100.254
bound to 10.119.100.101 -- renewal in 38585 seconds.
NetworkManager: <info> (eth0): DHCPv4 state changed preinit -> reboot
NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP4 Configure Get) scheduled...
NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP4 Configure Get) started...
NetworkManager: <info>   address 10.119.100.101
NetworkManager: <info>   prefix 24 (255.255.255.0)
NetworkManager: <info>   gateway 10.119.100.254
NetworkManager: <info>   nameserver '10.119.100.254'
NetworkManager: <info>   domain name 'xxxxx.ua'
NetworkManager: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) scheduled...
NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP4 Configure Get) complete.
NetworkManager: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) started...
NetworkManager: <info> (eth0): device state change: 7 -> 8 (reason 0)
NetworkManager: <info> Policy set 'eth0' (eth0) as default for IPv4 routing and DNS.
NetworkManager: <info> Activation (eth0) successful, device activated.
NetworkManager: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) complete.
NetworkManager: <info> Activation (ttyACM0) starting connection 'Utel'
NetworkManager: <info> (ttyACM0): device state change: 3 -> 4 (reason 0)
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info> Activation (ttyACM0) Stage 2 of 5 (Device Configure) scheduled...
NetworkManager: <info> Activation (ttyACM0) Stage 2 of 5 (Device Configure) starting...
NetworkManager: <info> (ttyACM0): device state change: 4 -> 5 (reason 0)
NetworkManager: <info> Activation (ttyACM0) Stage 2 of 5 (Device Configure) successful.
NetworkManager: <info> Activation (ttyACM0) Stage 3 of 5 (IP Configure Start) scheduled.
NetworkManager: <info> Activation (ttyACM0) Stage 2 of 5 (Device Configure) complete.
NetworkManager: <info> Activation (ttyACM0) Stage 3 of 5 (IP Configure Start) started...
NetworkManager: <info> (ttyACM0): device state change: 5 -> 7 (reason 0)
NetworkManager: <info> starting PPP connection
NetworkManager: <info> pppd started with pid 2201
NetworkManager: <warn> (ttyACM0): error reading /proc/sys/net/ipv6/conf/ttyACM0/accept_ra: (4) Failed to open file '/proc/sys/net/ipv6/conf/ttyACM0/accept_ra': No such file or directory
NetworkManager: <info> (ttyACM0): device state change: 7 -> 9 (reason 0)
NetworkManager: <info> Marking connection 'Utel' invalid.
NetworkManager: <warn> Activation (ttyACM0) failed.
NetworkManager: <info> Activation (ttyACM0) Stage 3 of 5 (IP Configure Start) complete.
NetworkManager: <info> (ttyACM0): device state change: 9 -> 3 (reason 0)
NetworkManager: <info> (ttyACM0): deactivating device (reason: 0).
NetworkManager: <info> Policy set 'eth0' (eth0) as default for IPv4 routing and DNS.
NetworkManager: <info> Policy set 'eth0' (eth0) as default for IPv4 routing and DNS.

===========================================
Try again to up ppp connection by nm-applet
===========================================

** (modem-manager:2111): DEBUG: <1273165843.110315> (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:2111): DEBUG: <1273165850.395521> (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2111): DEBUG: <1273165861.83879> (ttyACM0): --> 'AT+CGREG?<CR>'
** (modem-manager:2111): DEBUG: <1273165873.84750> (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:2111): DEBUG: <1273165903.96146> (ttyACM0): --> 'AT+CSQ<CR>'

-----------------

NetworkManager: <info> Activation (ttyACM0) starting connection 'Utel'
NetworkManager: <info> (ttyACM0): device state change: 3 -> 4 (reason 0)
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <warn> GSM connection failed: (32) Serial command timed out
NetworkManager: <info> (ttyACM0): device state change: 4 -> 9 (reason 1)
NetworkManager: <info> Marking connection 'Utel' invalid.
NetworkManager: <warn> Activation (ttyACM0) failed.
NetworkManager: <info> (ttyACM0): device state change: 9 -> 3 (reason 0)
NetworkManager: <info> (ttyACM0): deactivating device (reason: 0).
NetworkManager: <info> Policy set 'eth0' (eth0) as default for IPv4 routing and DNS.
NetworkManager: <info> Policy set 'eth0' (eth0) as default for IPv4 routing and DNS.


================================
So, modem is not accessible now
================================
[root@eee901 ~]# wvdial Utel
--> WvDial: Internet dialer version 1.61
--> Cannot get information for serial port.
--> Initializing modem.
--> Sending: ATZ
--> Sending: ATQ0
--> Re-Sending: ATZ
--> Modem not responding.


----

[root@eee901 ~]# cat /etc/wvdial.conf 
[N5320]
Modem = /dev/ttyACM0
Boud = 460800
Modem Type = Modem
FlowControl = CRTSCTS
Init1 = ATZ
Init2 = ATQ0V1E1S0=0&C1&D2+FCLASS=0

[Dialer utel]
Username = a
Password = a
Phone = *99#
Stupid Mode = 1
Init3 = AT+CGDCONT=1,"IP","3g.utel.ua"
Inherits = N5320

Comment 4 Dan Williams 2010-05-06 23:27:02 UTC
Ah, this is actually another variation of bug #588814 which isn't mobile related but was a general issue in NM with IPv4 dialup connections.  It's since been fixed and the update is available.

*** This bug has been marked as a duplicate of bug 588814 ***

Comment 5 Sergei LITVINENKO 2010-05-07 05:40:04 UTC
Updating to NetworkManager-0.8.0-12.git20100504.fc13 help...


Note You need to log in before you can comment on or make changes to this bug.